HEX
Server: Apache
System: Linux 3b2f6704f3ac 4.4.0-101-generic #124-Ubuntu SMP Fri Nov 10 18:29:59 UTC 2017 x86_64
User: (2182)
PHP: 7.4.33
Disabled: proc_open, passthru, escapeshellcmd, exec, shell_exec, system, ini_alter, dl, popen, php_check_syntax, show_source, highlight_file, symlink, link, openlog, apache_child_terminate
Upload Files
File: //usr/lib/kernel/install.d/85-initrd.install
#!/bin/sh
set -eu
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh

COMMAND="$1"
KERNEL_VERSION="$2"
BOOT_DIR_ABS="$3"

INITRD_SRC="/boot/initrd.img-$KERNEL_VERSION"
INITRD_DEST="$BOOT_DIR_ABS/initrd"

if [ "$COMMAND" = remove ]; then
    exec rm -f "$INITRD_DEST"
fi

if [ "$COMMAND" != add ]; then
    echo "Invalid command $COMMAND" >&2
    exit 1
fi

if [ "$#" -ge 5 ]; then
    # An explicit initrd path was passed, 90-loaderentry.install knows how to handle this;
    # copying here would just duplicate the file, since the basename is very likely different
    exit 0
fi

if [ -e "$INITRD_SRC" ]; then
    [ "$KERNEL_INSTALL_VERBOSE" -gt 0 ] && echo "Installing '$INITRD_SRC' as '$INITRD_DEST'"
    install -m 0644 -o root -g root "$INITRD_SRC" "$INITRD_DEST" || {
        echo "Could not copy '$INITRD_SRC' to '$INITRD_DEST'." >&2
        exit 1
    }
else
    echo "$INITRD_SRC does not exist, not installing an initrd"
fi

exit 0